Old Qt version moc file "Parse error at ";"

  c++, moc, qt

I can’t understand the reason of this compiler error, but I’m posting the answer below.
Qt 5.11.3 version with QMAKE_CXXFLAGS += -std=c++17 is used.

Source: Windows Questions C++

LEAVE A COMMENT